<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
  RSS.xlst
  Copyright  2008 Kinook Software, Inc.
  http://www.ultrarecall.com/

  Converts Ultra Recall XML export to RSS feed, including the item title and text.

  See http://www.kinook.com/Forum/showthread.php?threadid= for details.

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>
  <xsl:template match="/">
    <rss version="2.0">
      <channel>
        <title>Ultra Recall Export</title>
        <link>http://www.ultrarecall.com</link>
        <description>Ultra Recall Export</description>
        <xsl:apply-templates select="/oml/body/outline" />
      </channel>
    </rss>
  </xsl:template>
  
  <xsl:template match="outline">
  <item>
    <title><xsl:value-of select="@text" /></title>
    <pubDate><xsl:value-of select="@modified" /></pubDate>
    <xsl:apply-templates select="Item" />
  </item>
  </xsl:template>
    
  <xsl:template match="Item">
    <xsl:if test="@name = 'Item Text'">
      <description><xsl:value-of select="."/></description>
    </xsl:if>  
  </xsl:template>
</xsl:stylesheet>